<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<ooNotepadSyntax version="1">
    <Lexer name="C/C++" value="3" filemask="*.c;*.cpp;*.cc;*.cxx;*.h;*.hpp;*.hh;*.hxx;*.inl">
        <State name="Default" value="0" />
        <State name="Comment (normal)" value="1,2" />
        <State name="Comment (documentation)" value="3,15" />
        <State name="Comment keyword (documentation)" value="17" />
        <State name="Comment keyword error (documentation)" value="18" />
        <State name="Number" value="4" />
        <State name="Keyword" value="5" />
        <State name="User keyword" value="16" />
        <State name="String" value="6,12" />
        <State name="Character" value="7" />
        <State name="UUID" value="8" />
        <State name="Preprocessor" value="9" />
        <State name="Operator" value="10" />
    </Lexer>
    <KeyWords>
        <keyword value="0">
            <![CDATA[asm auto bool break case catch char class const
                                   const_cast continue default delete do double
                                   dynamic_cast else enum explicit export extern
                                   false float for friend goto if inline int long
                                   mutable namespace new operator private protected
                                   public register reinterpret_cast restrict return short signed
                                   sizeof static static_cast struct switch template this
                                   throw true try typedef typeid typename union unsigned
                                   using virtual void volatile while

                                   int8_t uint8_t int16_t uint16_t int32_t uint32_t int64_t uint64_t
                                   int_least8_t uint_least8_t int_least16_t uint_least16_t
                                   int_least32_t uint_least32_t int_least64_t uint_least64_t
                                   int_fast8_t uint_fast8_t int_fast16_t uint_fast16_t
                                   int_fast32_t uint_fast32_t int_fast64_t uint_fast64_t
                                   intptr_t uintptr_t intmax_t uintmax_t
                                   wint_t wchar_t wctrans_t wctype_t size_t time_t
                                   and and_eq bitand bitor compl not not_eq or or_eq xor xor_eq
                                   complex imaginary _Complex _Imaginary _Bool _Pragma]]>
</keyword>
        <keyword value="2">
            <![CDATA[a addindex addtogroup anchor arg attention
                                   author b brief bug c class code date def defgroup deprecated
                                   dontinclude e em endcode endhtmlonly endif endlatexonly endlink
                                   endverbatim enum example exception f$ f[ f] file fn
                                   hideinitializer htmlinclude htmlonly if image include ingroup
                                   internal invariant interface latexonly li line link mainpage name
                                   namespace nosubgrouping note overload p page par param post pre
                                   ref relates remarks return retval sa section see showinitializer
                                   since skip skipline struct subsection test throw todo typedef
                                   union until var verbatim verbinclude version warning weakgroup
                                   $ @ \  < > # { }]]>
</keyword>
    </KeyWords>
</ooNotepadSyntax>
